<div ng-include = "'html/navbarUser.html'"></div>


<div class = "container" style = "margin-top: 100px">
    <h1>Moj nalog</h1>
    <div> 
        <img src="images/user.png" alt="Profilna slika" height="128" width="128">
    </div>    
    <br/>
     <table class="table table-hover" ng-if = "state === 'update'">
        <tr>
            <td>
                <input type="text"  placeholder="*Name" class="form-control" ng-model="userInput.usrName" required/>
            </td>
            <td>
                <input type="text"  placeholder="*Surname" class="form-control" ng-model="userInput.usrSurname" required/>
            </td>
             <td>
                <input type="text"  placeholder="Password" class="form-control" ng-model="userInput.usrPass" />
            </td>
            <td>
                <input type="text"  placeholder="Mesto" class="form-control" ng-model="userInput.usrTown"/>
            </td>
            <td>
                <input type="text"  placeholder="Adresa" class="form-control" ng-model="userInput.usrAddress"/>
            </td>
            <td>
                <input type="button" value="Izmeni" class="btn btn-primary"  ng-click = "updateUser();">
            </td>
            <td>
                <input type="button" value="Poništi" class="btn btn-primary" ng-click = "cancelUpdate();">
            </td>
        </tr>
    </table>
    
     <div style="text-align:right">
         <input type="button" value="Izmeni" class="btn btn-warning" ng-if = "state !=='update'" ng-click = "prepareUserUpdate();"> 
     </div>
     <br/>
    <table  class="table table-bordered">
        <tr>
            <th>Email</th>
            <td>
                <span>
                    {{ user.usrEmail}}
                </span>
            </td>
        </tr>
        <tr>
            <th>Ime</th>
            <td>
                <span>
                  {{ user.usrName }}
                </span>
            </td>
        </tr>
        <tr>
            <th>Prezime</th>
            <td>
                <span>
                  {{ user.usrSurname }}
                </span>
            </td>
        </tr>
        <tr>
           <th>Mesto</th> 
           <td>
               <span>
                {{user.usrTown}}
               </span>
           </td>
        </tr> 
        <tr>
            <th>Adresa</th>
            <td>
                <span >
                    {{user.usrAddress}}
                </span>
            </td>
        </tr>
        <tr>
            <th>Broj poseta</th>
            <td>
                <span>
                    {{user.usrVisits}}
                </span>
            </td>
        </tr>
    </table>  
   
    <h2>Prijatelji</h2>
    <div style="text-align:right">
         <input type="button" value="Pronađi prijatelje" class="btn btn-success btn-lg" data-toggle="modal" data-target="#FriendsModal" ng-click = "cancelSearch()"/> 
     </div>
      <br/>
    <table  class="table table-bordered" >
        <tr>
            <th>Ime</th>
            <th>Prezime</th>
            <th></th>
        </tr>
        <tr></tr>
         <tr ng-repeat = "fr in friends">
             <td class="col-md-2"> <span>{{fr.usrName}}</span></td>
             <td class="col-md-2"><span>{{fr.usrSurname}}</span></td>
             <td class="col-md-2"><input type="button" value="Obrisi" class="btn btn-danger" ng-click = "removeFriend($index);"></td>
         </tr>
    </table>
    
    <div id="FriendsModal" class="modal fade" role="dialog">
      <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Pronađi prijatelje</h4>
          </div>
          <div class="modal-body">
              <div class="form-group has-feedback">
                  <input type="text" class="form-control" placeholder="Pretraži"  ng-model="searchInput" />
                  <i class="glyphicon glyphicon-search form-control-feedback"></i>
              </div>
              <input type="button" value="Pretraži" class="btn btn-primary" ng-click = "searchUsers();">
              <hr/>
              <div class = "alert alert-info" ng-if = "searchStatus === 'finished'">Rezultat pretrage: </div>

              <table  class="table table-bordered">
                  <tr ng-repeat = "f in searchResult">
                      <td class="col-md-2"><span>{{f.usrName}}</span></td>
                      <td class="col-md-2"><span>{{f.usrSurname}}</span></td>
                      <td class="col-md-2"><input type="button" value="Dodaj" ng-if ="!isFriend($index);" class="btn btn-danger" ng-click = "addFriend($index);"></td>
                  </tr>
              </table>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "cancelSearch();">Close</button>
          </div>
        </div>

      </div>
    </div>

</div>